Error no 28 No space left on device with feature-classifier sklearn

I have the same issue as Error no. 28 - out of memory .

the code I ran: nohup qiime feature-classifier classify-sklearn --i-classifier …/silva-132-99-nb-classifier.qza --i-reads rep-seqs-dn99-oslo.qza --verbose --o-classification oslo-taxonomy_OTU.qza --p-reads-per-batch 100 > error-reports/tax_report6.txt 2> error-reports/tax_error6.txt &

I have changed TMPDIR to a dir where I have 484GB available. I checked the env, and it shows the right TMPDIR. I have tried to play with --p-reads-per-batch to see if it would helped, and the last run I used --p-reads-per-batch 100. I also removed the n-jobs after suggestion to other posts.

But as I still get the Errno 28] No space left on device I am not sure what more i can try? Any suggestions?

nohup: ignoring input
Traceback (most recent call last):
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/commands.py”, line 274, in call
results = action(**arguments)
File “”, line 2, in classify_sklearn
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/action.py”, line 225, in bound_callable
spec.view_type, recorder)
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/result.py”, line 266, in _view
result = transformation(self._archiver.data_dir)
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/transform.py”, line 70, in transformation
new_view = transformer(view)
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/q2_feature_classifier/_taxonomic_classifier.py”, line 71, in _1
tar.extractall(dirname)
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/tarfile.py”, line 1998, in extractall
numeric_owner=numeric_owner)
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/tarfile.py”, line 2040, in extract
numeric_owner=numeric_owner)
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/tarfile.py”, line 2110, in _extract_member
self.makefile(tarinfo, targetpath)
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/tarfile.py”, line 2158, in makefile
copyfileobj(source, target, tarinfo.size, ReadError)
File “/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/tarfile.py”, line 244, in copyfileobj
dst.write(buf)
OSError: [Errno 28] No space left on device

Plugin error from feature-classifier:

[Errno 28] No space left on device

See above for debug info.

1 Like

Hey @Linevmo,

Excellent!
Your environment variable is probably working then, however there is a slightly obscure problem which can also cause this error. It is possible to run out of inodes while having plenty of room on the device/partition. The operating system doesn’t really differentiate between the cases as as far as it’s concerned, there’s nowhere to put the new file.

This command:

df -i

will tell us how many inodes are free on each partition, it’s possible that’s the problem. Otherwise we’ll have to look closer.

Hi again,

I ran taxanomy again, this time i t ran for 7 hours until, until the same error occurred again.

nohup: ignoring input
Traceback (most recent call last):
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/pandas/io/formats/format.py", line 1652, in save
self._save()
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/pandas/io/formats/format.py", line 1754, in _save
self._save_chunk(start_i, end_i)
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/pandas/io/formats/format.py", line 1780, in _save_chunk
lib.write_csv_rows(self.data, ix, self.nlevels, self.cols, self.writer)
File "pandas/_libs/lib.pyx", line 1035, in pandas._libs.lib.write_csv_rows
OSError: [Errno 28] No space left on device

During handling of the above exception, another exception occurred:

OSError: [Errno 28] No space left on device

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/commands.py", line 274, in call
results = action(**arguments)
File "", line 2, in classify_sklearn
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/action.py", line 231, in bound_callable
output_types, provenance)
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/action.py", line 390, in callable_executor
spec.qiime_type, output_view, spec.view_type, prov)
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/result.py", line 244, in _from_view
result = transformation(view)
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/transform.py", line 70, in transformation
new_view = transformer(view)
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/transform.py", line 220, in wrapped
file_view = transformer(view)
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/q2_types/feature_data/_transformer.py", line 199, in _24
return _dataframe_to_tsv_taxonomy_format(df)
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/q2_types/feature_data/_transformer.py", line 128, in _dataframe_to_tsv_taxonomy_format
df.to_csv(str(ff), sep='\t', header=True, index=True)
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/pandas/core/frame.py", line 1524, in to_csv
formatter.save()
File "/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python3.5/site-packages/pandas/io/formats/format.py", line 1656, in save
f.close()
OSError: [Errno 28] No space left on device

Plugin error from feature-classifier:

[Errno 28] No space left on device

See above for debug info.

Hey @Linevmo,

Thanks for the screenshot and traceback, that’s really helpful!

Hmm, it’s definitely not inodes then, it’s running out of room within the same inode.


When you set TMPDIR how do you do it? It looks like it isn’t a prefix on your commands, so I assume you run export TMPDIR=/some/directory and then in the same bash session run your command?

If you were to type:

env

just before running your command, what does it say?

yes, that is how I have done it.

export TMPDIR=’/home/ubuntu/mdw/Line_files2/’

(qiime2-2018.8) [email protected]:~/Desktop/mdw/Line_files/oslosamples_qiime2$ env
MODULE_VERSION_STACK=3.2.10
MANPATH=/home/linuxbrew/.linuxbrew/share/man:
XDG_SESSION_ID=c6880
CLUTTER_IM_MODULE=
SAL_USE_VCLPLUGIN=gtk
SESSION=Lubuntu
GPG_AGENT_INFO=/home/ubuntu/.gnupg/S.gpg-agent:0:1
XDG_MENU_PREFIX=lxde-
SHELL=/bin/bash
HOMEBREW_TEMP=/mnt/gvl/tmp/homebrew_temp
TERM=xterm
PYTHONNOUSERSITE=/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/python*/site-packages/
TMPDIR=/home/ubuntu/mdw/Line_files2/
DERBY_HOME=/usr/lib/jvm/java-8-oracle/db
CONDA_SHLVL=1
QT_LINUX_ACCESSIBILITY_ALWAYS_ON=1
CONDA_PROMPT_MODIFIER=(qiime2-2018.8)
OLDPWD=/home/ubuntu/Desktop/mdw/Line_files/oslosamples_qiime2/error-reports
UPSTART_SESSION=unix:abstract=/com/ubuntu/upstart-session/1000/17366
GNOME_KEYRING_CONTROL=
USER=ubuntu
LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=00:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:.tar=01;31:.tgz=01;31:.arc=01;31:.arj=01;31:.taz=01;31:.lha=01;31:.lz4=01;31:.lzh=01;31:.lzma=01;31:.tlz=01;31:.txz=01;31:.tzo=01;31:.t7z=01;31:.zip=01;31:.z=01;31:.Z=01;31:.dz=01;31:.gz=01;31:.lrz=01;31:.lz=01;31:.lzo=01;31:.xz=01;31:.bz2=01;31:.bz=01;31:.tbz=01;31:.tbz2=01;31:.tz=01;31:.deb=01;31:.rpm=01;31:.jar=01;31:.war=01;31:.ear=01;31:.sar=01;31:.rar=01;31:.alz=01;31:.ace=01;31:.zoo=01;31:.cpio=01;31:.7z=01;31:.rz=01;31:.cab=01;31:.jpg=01;35:.jpeg=01;35:.gif=01;35:.bmp=01;35:.pbm=01;35:.pgm=01;35:.ppm=01;35:.tga=01;35:.xbm=01;35:.xpm=01;35:.tif=01;35:.tiff=01;35:.png=01;35:.svg=01;35:.svgz=01;35:.mng=01;35:.pcx=01;35:.mov=01;35:.mpg=01;35:.mpeg=01;35:.m2v=01;35:.mkv=01;35:.webm=01;35:.ogm=01;35:.mp4=01;35:.m4v=01;35:.mp4v=01;35:.vob=01;35:.qt=01;35:.nuv=01;35:.wmv=01;35:.asf=01;35:.rm=01;35:.rmvb=01;35:.flc=01;35:.avi=01;35:.fli=01;35:.flv=01;35:.gl=01;35:.dl=01;35:.xcf=01;35:.xwd=01;35:.yuv=01;35:.cgm=01;35:.emf=01;35:.ogv=01;35:.ogx=01;35:.aac=00;36:.au=00;36:.flac=00;36:.m4a=00;36:.mid=00;36:.midi=00;36:.mka=00;36:.mp3=00;36:.mpc=00;36:.ogg=00;36:.ra=00;36:.wav=00;36:.oga=00;36:.opus=00;36:.spx=00;36:.xspf=00;36:
LD_LIBRARY_PATH=:/usr/local/lib/
QT_ACCESSIBILITY=1
CONDA_EXE=/home/ubuntu/miniconda2/bin/conda
XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session4
XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat5
SSH_AUTH_SOCK=/run/user/1000/keyring/ssh
DEFAULTS_PATH=/usr/share/gconf/Lubuntu.default.path
HOMEBREW_CACHE=/mnt/gvl/tmp/homebrew_cache
XDG_CONFIG_DIRS=/etc/xdg/lubuntu:/etc/xdg/xdg-Lubuntu:/usr/share/upstart/xdg:/etc/xdg
DESKTOP_SESSION=Lubuntu
MODULE_VERSION=3.2.10
PATH=/home/ubuntu/miniconda2/envs/qiime2-2018.8/bin:/home/ubuntu/miniconda2/bin:/mnt/galaxy/tools/bin:/usr/lib/postgresql/9.5/bin:/home/ubuntu/bin:/home/ubuntu/.local/bin:/home/linuxbrew/.linuxbrew/bin:/home/linuxbrew/.linuxbrew/sbin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/usr/games:/usr/local/games:/snap/bin:/usr/lib/jvm/java-8-oracle/bin:/usr/lib/jvm/java-8-oracle/db/bin:/usr/lib/jvm/java-8-oracle/jre/bin
QT_IM_MODULE=
QT_QPA_PLATFORMTHEME=lxqt
CONDA_PREFIX=/home/ubuntu/miniconda2/envs/qiime2-2018.8
XDG_SESSION_TYPE=x11
PWD=/home/ubuntu/Desktop/mdw/Line_files/oslosamples_qiime2
JOB=dbus
XMODIFIERS=
JAVA_HOME=/usr/lib/jvm/java-8-oracle
MPLBACKEND=Agg
GNOME_KEYRING_PID=
LANG=en_US.UTF-8
GDM_LANG=en_US
MODULEPATH=/etc/environment-modules/modules:/usr/share/modules/versions:/usr/Modules/$MODULE_VERSION/modulefiles:/usr/share/modules/modulefiles
MANDATORY_PATH=/usr/share/gconf/Lubuntu.mandatory.path
LOADEDMODULES=
IM_CONFIG_PHASE=1
GDMSESSION=Lubuntu
_LXSESSION_PID=17523
QT_PLATFORM_PLUGIN=lxqt
SESSIONTYPE=lxsession
SHLVL=1
HOME=/home/ubuntu
KRAKEN_DEFAULT_DB=/home/linuxbrew/.linuxbrew/Cellar/kraken/krakendb
LANGUAGE=en_US
XDG_CONFIG_HOME=/home/ubuntu/.config
UPSTART_INSTANCE=
CONDA_PYTHON_EXE=/home/ubuntu/miniconda2/bin/python
UPSTART_EVENTS=started xsession
XDG_SESSION_DESKTOP=Lubuntu
LOGNAME=ubuntu
DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Cry8UQUe21
J2SDKDIR=/usr/lib/jvm/java-8-oracle
XDG_DATA_DIRS=/etc/xdg/lubuntu:/usr/share/gdm:/var/lib/menu-xdg:/usr/share/Lubuntu:/usr/local/share:/usr/share:/var/lib/snapd/desktop
QT4_IM_MODULE=
MODULESHOME=/usr/share/modules
CONDA_DEFAULT_ENV=qiime2-2018.8
LESSOPEN=| /usr/bin/lesspipe %s
INFOPATH=/home/linuxbrew/.linuxbrew/share/info:
INSTANCE=
UPSTART_JOB=lxsession
XDG_RUNTIME_DIR=/run/user/1000
DISPLAY=147.188.173.101:1
XDG_CURRENT_DESKTOP=LXDE
GTK_IM_MODULE=
J2REDIR=/usr/lib/jvm/java-8-oracle/jre
R_LIBS_USER=/home/ubuntu/miniconda2/envs/qiime2-2018.8/lib/R/library/
LESSCLOSE=/usr/bin/lesspipe %s %s
XAUTHORITY=/home/ubuntu/.Xauthority
_=/usr/bin/env

Hey @Linevmo,

Well that definitely matches the df -i from above. Everything seems correct here. I can’t fathom why you’d be running out of space.

Could you tell us a bit more about your system? Are you running this in a docker container or other virtualization system?

How large is the data your are classifying (rough size of .qza)? Is it possible to run feature-table tabulate-seqs on it or does that fail as well?

Sorry, I’m pretty stumped as well :confused:

I am having the same issue, running the cmd on a 16 cores 64gb RAM computer, and with plenty of space in each partition.

Here my cmd and error:

classifier …/…/reference_datasets/16S/silva-132-99-nb-classifier.qza --i-reads deblur/16S_repr_seq_deblur_run#2.qza --o-classification 16S_taxonomy2_run#2.qza
Traceback (most recent call last):
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/bin/qiime”, line 11, in
sys.exit(qiime())
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 722, in call
return self.main(*args, **kwargs)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 697, in main
rv = self.invoke(ctx)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 535, in invoke
return callback(*args, **kwargs)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/commands.py”, line 244, in call
arguments, missing_in, verbose, quiet = self.handle_in_params(kwargs)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/commands.py”, line 326, in handle_in_params
kwargs, fallback=cmd_fallback)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/handlers.py”, line 375, in get_value
artifact = qiime2.sdk.Result.load(path)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/result.py”, line 65, in load
archiver = archive.Archiver.load(filepath)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/archive/archiver.py”, line 299, in load
rec = archive.mount(path)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/archive/archiver.py”, line 199, in mount
root = self.extract(filepath)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/archive/archiver.py”, line 210, in extract
zf.extract(name, path=str(filepath))
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/zipfile.py”, line 1335, in extract
return self._extract_member(member, path, pwd)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/zipfile.py”, line 1399, in _extract_member
shutil.copyfileobj(source, target)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/shutil.py”, line 82, in copyfileobj
fdst.write(buf)
OSError: [Errno 28] No space left on device

Here the output of df -i:

Filesystem Inodes IUsed IFree IUse% Mounted on
udev 8245005 393 8244612 1% /dev
tmpfs 8246999 1086 8245913 1% /run
/dev/vda1 655360 78476 576884 12% /
tmpfs 8246999 1 8246998 1% /dev/shm
tmpfs 8246999 3 8246996 1% /run/lock
tmpfs 8246999 16 8246983 1% /sys/fs/cgroup
/dev/vdb 31457280 11 31457269 1% /mnt
tmpfs 8246999 4 8246995 1% /run/user/1000
/dev/vdc 32768000 566482 32201518 2% /media/nec3_HDD

Hey there @Fra, can you please provide the full command you ran (it appears to be incomplete above), as well as the output from the following (this is slightly different than the inode-specific version you provided above):

df -h

Thanks! :t_rex:

here the cmd:

qiime feature-classifier classify-sklearn
–i-classifier …/…/reference_datasets/16S/silva-132-99-nb-classifier.qza
–i-reads deblur_quality_control/16S_repr_seq_deblur_run#2.qza
–o-classification 16S_taxonomy2_run#2.qza

Thanks @Fra! Can you please send along the second half of what I requested above? Thanks!

@thermokarst do you mean this?

qiime feature-classifier classify-sklearn
–i-classifier …/…/reference_datasets/16S/silva-132-99-nb-classifier.qza
–i-reads deblur_quality_control/16S_repr_seq_deblur_run#2.qza
–o-classification 16S_taxonomy2_run#2.qza

Traceback (most recent call last):
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/bin/qiime”, line 11, in
sys.exit(qiime())
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 722, in call
return self.main(*args, **kwargs)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 697, in main
rv = self.invoke(ctx)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 1066, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 895, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/click/core.py”, line 535, in invoke
return callback(*args, **kwargs)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/commands.py”, line 244, in call
arguments, missing_in, verbose, quiet = self.handle_in_params(kwargs)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/commands.py”, line 326, in handle_in_params
kwargs, fallback=cmd_fallback)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/q2cli/handlers.py”, line 375, in get_value
artifact = qiime2.sdk.Result.load(path)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/sdk/result.py”, line 65, in load
archiver = archive.Archiver.load(filepath)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/archive/archiver.py”, line 299, in load
rec = archive.mount(path)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/archive/archiver.py”, line 199, in mount
root = self.extract(filepath)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/site-packages/qiime2/core/archive/archiver.py”, line 210, in extract
zf.extract(name, path=str(filepath))
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/zipfile.py”, line 1335, in extract
return self._extract_member(member, path, pwd)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/zipfile.py”, line 1399, in _extract_member
shutil.copyfileobj(source, target)
File “/media/nec3_HDD/miniconda3/envs/qiime2-2018.8/lib/python3.5/shutil.py”, line 82, in copyfileobj
fdst.write(buf)
OSError: [Errno 28] No space left on device

If you did not mean this, I am not understanding what you asked me.

Please see below:

Thanks! :qiime2:

Here it is:

[email protected]:~$ df -h
Filesystem      Size  Used Avail Use% Mounted on
udev             32G     0   32G   0% /dev
tmpfs           6.3G  100M  6.2G   2% /run
/dev/vda1       9.9G  2.4G  7.0G  26% /
tmpfs            32G     0   32G   0% /dev/shm
tmpfs           5.0M     0  5.0M   0% /run/lock
tmpfs            32G     0   32G   0% /sys/fs/cgroup
/dev/vdb        473G   70M  449G   1% /mnt
tmpfs           6.3G     0  6.3G   0% /run/user/1000
/dev/vdc        493G  164G  304G  36% /media/nec3_HDD

Perfect, thanks @Fra!

Okay, so first, the error:

This means that some partition somewhere is running out of available space.

So it sounds like you put that together when you said this:

And later, it looks like you specified your TMPDIR here:

According to the output from df -h above, it looks like you don't actually have 484 GB available on this partition, but rather, you only have 7.0 GB on this partition. Check this line out:

This is the partition that /home/ubuntu/mdw/Line_files2/ is on, according to the partition map provided above.

How about you set a different partition when configuring your TMPDIR? Maybe something mounted on /mnt (449 GB free) or /media/nec3_HDD (304 GB free).

Keep us posted! :t_rex: :qiime2:

Thanks @thermokarst, it worked.

However, the output file is 68kb, this means that the command creates temporary files bigger than 7gb to make a final output of 68kb.

:champagne:

Yep! While the temp disk usage might be large, I don’t think it is necessarily fair to compare that temp disk usage to the final output size — one doesn’t necessarily inform the other! What if the goal was to compute one single summary statistic? You could imagine dozens of gigabytes boiling down into one or two bytes, even… :computer: :desktop_computer: :robot:

Happy QIIMEing! :tada: